
From: Vivek Goyal <vgoyal@in.ibm.com>

- config option CONFIG_CRASH_DUMP

- Made it dependent on HIGHMEM.  This is required as capture kernel treats
  the previous kernel's memory as high memmory and stitches a PTE for
  accessing it.

Signed-off-by: Vivek Goyal <vgoyal@in.ibm.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/i386/Kconfig |    7 +++++++
 1 files changed, 7 insertions(+)

diff -puN arch/i386/Kconfig~kdump-kconfig-for-kdump arch/i386/Kconfig
--- 25/arch/i386/Kconfig~kdump-kconfig-for-kdump	2005-04-07 18:34:10.000000000 -0700
+++ 25-akpm/arch/i386/Kconfig	2005-04-07 18:34:10.000000000 -0700
@@ -960,6 +960,13 @@ config KEXEC
 	  support.  As of this writing the exact hardware interface is
 	  strongly in flux, so no good recommendation can be made.
 
+config CRASH_DUMP
+	bool "kernel crash dumps (EXPERIMENTAL)"
+	depends on EMBEDDED
+	depends on EXPERIMENTAL
+	depends on HIGHMEM
+	help
+	  Generate crash dump after being started by kexec.
 endmenu
 
 
_
